Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 227941 - app-emulation/vmware-modules-1.0.0.20 fails to build against sys-kernel/gentoo-sources-2.6.25-r5
Summary: app-emulation/vmware-modules-1.0.0.20 fails to build against sys-kernel/gent...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo VMWare Bug Squashers [disabled]
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-17 21:30 UTC by Michele Schiavo
Modified: 2008-06-18 10:50 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/temp/environment (environment,140.04 KB, text/plain)
2008-06-17 21:32 UTC, Michele Schiavo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michele Schiavo 2008-06-17 21:30:05 UTC
emerge vmware-modules 
Calculating dependencies... done!
>>> Verifying ebuild Manifests...

>>> Emerging (1 of 1) app-emulation/vmware-modules-1.0.0.20 to /
 * VMware-player-2.0.4-93057.x86_64.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                        [ ok ]
 * checking ebuild checksums ;-) ...                                                                                              [ ok ]
 * checking auxfile checksums ;-) ...                                                                                             [ ok ]
 * checking miscfile checksums ;-) ...                                                                                            [ ok ]
 * checking VMware-player-2.0.4-93057.x86_64.tar.gz ;-) ...                                                                       [ ok ]
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     2.6.25-gentoo-r5
>>> Unpacking source...
>>> Unpacking VMware-player-2.0.4-93057.x86_64.tar.gz to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work
>>> Unpacking ./vmware-player-distrib/lib/modules/source//vmmon.tar to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work
 * Converting vmmon-only/Makefile to use M= instead of SUBDIRS= ...                                                               [ ok ]
>>> Unpacking ./vmware-player-distrib/lib/modules/source//vmnet.tar to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work
 * Converting vmnet-only/Makefile to use M= instead of SUBDIRS= ...                                                               [ ok ]
>>> Unpacking ./vmware-player-distrib/lib/modules/source//vmblock.tar to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work
 * Converting vmblock-only/Makefile to use M= instead of SUBDIRS= ...                                                             [ ok ]
 * Applying 010_all_kernel-2.6.25.patch ...                                                                                       [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work ...
 * Preparing vmmon module
Using standalone build system.
./autoconf/geninclude.c:1:28: error: linux/autoconf.h: No such file or directory
distcc[31662] ERROR: compile (null) on localhost failed
./autoconf/geninclude.c:1:28: error: linux/autoconf.h: No such file or directory
distcc[31698] ERROR: compile (null) on localhost failed
.././autoconf/geninclude.c:1:28: error: linux/autoconf.h: No such file or directory
distcc[31737] ERROR: compile (null) on localhost failed
In file included from .././common/vmx86.c:15:
.././include/driver-config.h:26:2: error: #error "No Module support in this kernel.  Please configure with CONFIG_MODULES"
In file included from .././common/phystrack.c:17:
.././include/driver-config.h:26:2: error: #error "No Module support in this kernel.  Please configure with CONFIG_MODULES"
In file included from .././linux/driver.c:6:
.././include/driver-config.h:26:2: error: #error "No Module support in this kernel.  Please configure with CONFIG_MODULES"
In file included from .././common/memtrack.c:16:
.././include/driver-config.h:26:2: error: #error "No Module support in this kernel.  Please configure with CONFIG_MODULES"
distcc[31768] ERROR: compile (null) on localhost failed
make[2]: *** [phystrack.d] Error 1




emerge --info 
Portage 2.1.4.4 (default-linux/amd64/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r4 x86_64)
=================================================================
System uname: 2.6.25-gentoo-r4 x86_64 Intel(R) Core(TM)2 Quad CPU Q9300 @ 2.50GHz
Timestamp of tree: Tue, 17 Jun 2008 20:45:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r13
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -mtune=nocona -march=nocona -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/bind /var/lib/hsqldb /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -mtune=nocona -march=nocona -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg_ collision-protect_ distcc distlocks maketest metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp://gentoo.mirror.web4u.cz/"
LANG="it_IT.UTF-8"
LINGUAS="it it_IT en en_GB es es_ES"
MAKEOPTS="-j10"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="16bit 64bit X X509 a52 aac aalib acpi aiglx aim alsa amd64 amr amrnb amrwb apache2 apm applet audiofile avi bacula-console bash-completion berkdb bidi bitmap-fonts bittorrent bluetooth bonobo branding browserplugin bzip2 cairo caps cdda cddb cdio cdparanoia cdr cgi chroot cli cracklib crypt css ctype cups curl dbus dc1394 deskbar divx dlloader dri dts dv dvb dvd dvdr dvdread dvi dynamic eds em emboss emovix encode esd ethereal evo evolution exif expat faillog fam fame fbsplash ffmpeg firefox flac flash fontconfig foomaticdb fortran fping freetds freetype ftp gaim gcc4 gd gdbm gdm gedit gencertdaily geoip gif gimp gimpprint glitz glut gmail gmedia gmp gno gnome gnome-keyring gnutls gphoto2 gpm gsm gstreamer gtk gtk2 gtkhtml guile hal hash hddtemp howl iconv id3tag idea idn ieee1394 imagemagick imap imlib ipod isdnlog ithreads java jpeg lame lcms libcaca libclamav libedit libnotify libwww live lm_sensors logrotate logwatch lzo lzw lzw-tiff mad maildir maildrop matroska mhash midi mikmod mime ming mjpeg mmx mmxext mng mono motif mozilla mozsvg mp2 mp3 mpeg mpm-prefork msn mudflap musepack musicbrainz mysql nautilus ncurses nemesei network networking new-login nfs ng nls nptl nptlonly nsplugin nvidia obex offensive ogg oggvorbis openal opengl openmp opensslcrypt optimisememory pam pcre pda pdf pdflib perl php pidgin png pop posix ppds pppd prediction python qmail qt3support qt4 quicktime quotas radio readline realmedia recode reflection regex remote rtc samba scanner sdl sensord server session simplexml skins slang smp sms sndfile sound sox spamassassin speex spell spl srt sse sse2 ssl ssse2 ssse3 stream subtitles svg symlink sysfs syslog tcltk tcpd teletext tetex theora threads threadsafe tiff tivo toolbar tracker truetype truetype-fonts twolame type1-fonts udev unicode upnp usb v4l v4l2 vcd vhosts vim-syntax vlm vorbis wavpack wifi wmf wmp wxgtk1 wxwindows x264 xanim xcomposite xml xml2 xmlreader xmlwriter xorg xpm xscreensaver xv xvid xvmc zip zlib" ALSA_CARDS="intel8x0 usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CAMERAS="spca50x" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it it_IT en en_GB es es_ES" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Reproducible: Always

Steps to Reproduce:
1. upgrade to ys-kernel/gentoo-sources-2.6.25-r5
2. try to emerge 
3.app-emulation/vmware-modules-1.0.0.20
Comment 1 Michele Schiavo 2008-06-17 21:32:51 UTC
Created attachment 157361 [details]
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/temp/environment
Comment 2 Mike Auty gentoo-dev 2008-06-18 09:20:33 UTC
Thanks, this should now have been fixed in the tree.  Please give it a couple of hours to sync up and then try re-emerging vmware-modules-1.0.0.20.  Please let me know if it fixes the problem, so I can mark the bug as fixed or figure out why it's still not working.  Thanks...  5:)
Comment 3 Michele Schiavo 2008-06-18 10:46:35 UTC
it's good

Thanks

 uname -a
Linux uzzmaster 2.6.25-gentoo-r4 #1 SMP PREEMPT Sun Jun 15 14:46:50 CEST 2008 x86_64 Intel(R) Core(TM)2 Quad CPU Q9300 @ 2.50GHz GenuineIntel GNU/Linux
uzzmaster ~ # emerge vmware-modules -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] app-emulation/vmware-modules-1.0.0.20  0 kB 

Total: 1 package (1 reinstall), Size of downloads: 0 kB
Comment 4 Michele Schiavo 2008-06-18 10:47:07 UTC
ops,

ll /usr/src/
totale 2
lrwxrwxrwx  1 root root   22 17 giu 23:14 linux -> linux-2.6.25-gentoo-r5
drwxr-xr-x 22 root root 1504 17 giu 23:16 linux-2.6.25-gentoo-r5